<?php
function resortica_lite_sanitize_css( $input ) {
    return wp_filter_nohtml_kses( $input );
}

function resortica_lite_sanitize_checkbox( $input ) {
    return ( 1 === absint( $input ) ) ? 1 : 0;
}

function resortica_lite_sanitize_select( $input, $setting ) {

    // Ensure input is a slug
    $input = sanitize_key( $input );
    $choices = $setting->manager->get_control( $setting->id )->choices;
    return ( array_key_exists( $input, $choices ) ? $input : $setting->default );
}

function resortica_lite_sanitize_image( $image, $setting ) {
    /*
     * Array of valid image file types.
     *
     * The array includes image mime types that are included in wp_get_mime_types()
     */
    $mimes = array(
        'jpg|jpeg|jpe' => 'image/jpeg',
        'gif'          => 'image/gif',
        'png'          => 'image/png',
        'bmp'          => 'image/bmp',
        'tif|tiff'     => 'image/tiff',
        'ico'          => 'image/x-icon'
    );
    // Return an array with file extension and mime_type.
    $file = wp_check_filetype( $image, $mimes );
    // If $image has a valid mime_type, return it; otherwise, return the default.
    return ( $file['ext'] ? $image : $setting->default );
}

function resortica_lite_sanitize_number($value) {
    $value = preg_replace('/\D/', '', $value);
    if($value)
        return $value;
    return 0;
}